/*
* Light weight AJAX class
* @author Boris Trivic
*/
lAJAX = {
	/*
	* Get AJAX (XMLHttpRequest) object from browser
	* @return object XMLHttpRequest
	*/
	LgetAjaxOb: function()
	{
		var ajaxRequest;
		try{
			// Opera 8.0+, Firefox, Safari
			ajaxRequest = new XMLHttpRequest();
		} catch (e){
			// Internet Explorer Browsers
			try{
				ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
			} catch (e) {
				try{
					ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
				} catch (e){
					// Something went wrong
					alert("Your browser do not suport AJAX!");
					return false;
				}
			}
		}
		return ajaxRequest;
	}, // function
	/*
	* Synchronous AJAX call
	* @param string URL to load
	* @param string Parameters to pass to the URL
	* @return text Response text
	* @todo Add asynchronous possibility
	*/
	load: function(url, params)
	{
		if(!params)
		{
			params = '';
		}
		var ajaxRequest = this.LgetAjaxOb();
		var res;
				
		ajaxRequest.open("GET", url + params, false);
		ajaxRequest.send();
		res = ajaxRequest.responseText;
		
		return res;
	}//function
}
